Fetch Sub-Collections
curl --request GET \
--url https://api.replyke.com/api/v6/:projectId/api/v7/collections/:collectionId/sub-collectionsimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/collections/:collectionId/sub-collections"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/collections/:collectionId/sub-collections', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Collection Endpoints
Fetch Sub-Collections
List all direct child collections of a given collection
GET
/
:projectId
/
api
/
v7
/
collections
/
:collectionId
/
sub-collections
Fetch Sub-Collections
Returns all sub-collections directly under the specified collection, owned by the authenticated user.
Path Parameters
The ID of the parent collection whose direct children should be returned.
Response
Returns an array of Collection objects.[
{
"id": "col_abc",
"name": "To Read",
"parentId": "col_root",
"entityCount": 5,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
]
Error Responses
Server Error — 500
Server Error — 500
{ "error": "Server error", "code": "collection/server-error" }
⌘I

